#pragma once
#include "board.h"
#include "move.h"
#include "player.h"
#include <random>

class Computer3 : public Player
{
public:
   using Player::Player;

   std::string getName() const override { return "Computer Zufall"; }
   Move nextMove(const Board&) override;

private:
   std::random_device rd;                              // Random-Device-Generator erzeugen
   std::mt19937 engine{ rd() };                          // Seed Argument auslesen und nutzen
   std::uniform_int_distribution<> dist{ 0, 8 };
};
